Bug 974826 - repomd.xml does not match metalink for fedora
repomd.xml does not match metalink for fedora
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: metalink (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 05:15 EDT by Egor Kuropatkin
Modified: 2013-12-10 15:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 07:13:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum output (12.26 KB, text/plain)
2013-06-16 05:15 EDT, Egor Kuropatkin
no flags Details

  None (edit)
Description Egor Kuropatkin 2013-06-16 05:15:14 EDT
Created attachment 761787 [details]
yum output

Description of problem:
After updating to Fedora 19 via fedup, yum fails to acquire metadata from mirrors.


How reproducible:
Always

Steps to Reproduce:
1. run yum update (or anything simillar)

Actual results:
Big list of errors like 'repomd.xml does not match metalink for fedora'

Expected results:
yum completes the metadata update process
Comment 1 Zdeněk Pavlas 2013-06-17 03:30:12 EDT
Metalinker is advertising a newer repomd.xml than the one that some/most servers currently have.  This is normal and should resolve in few hours.  Yum handles this condition by mirror fail-over, or reverting to previous locally cached metadata.

$ curl 'https://mirrors.fedoraproject.org/metalink?repo=fedora-19&arch=i386'|grep sha256
<hash type="sha256">dfcf850c63dbba9755c5c518ef8d7c294d9d2d96cd8dfa53bc947a95897fcb40</hash>

$ curl http://download.eng.brq.redhat.com/pub/fedora/linux/development/19/i386/os/repodata/repomd.xml|sha256sum
b0d0ae32f19f18c73971f2397b0f1312057d0c75acfa6ad6d20e238eecc05037  -

However, since you have reported this yesterday and I can still reproduce it, there might be something broken- reassigning to metalinker.  There have been some (maybe) related issues recently:

http://www.mail-archive.com/devel@lists.fedoraproject.org/msg61298.html
Comment 2 Egor Kuropatkin 2013-06-18 17:23:42 EDT
Thanks, Zdeněk. According to the mailing list thread this issue is already fixed and indeed the update now runs just fine.
Comment 3 Nineth 2013-07-19 23:30:08 EDT
I still have this problem with the 'updates' repository. A 'yum update' gives me errors below (yum clean all doesn't help). I used fedup to upgrade from fc17 yesterday (jul 19, 2013).

--------------------------
updates                                                                                                                                | 4.6 kB  00:00:00     
http://ftp.kaist.ac.kr/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 4.6 kB  00:00:00     
http://ftp.riken.jp/Linux/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 3.4 kB  00:00:00     
http://ftp.neowiz.com/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 4.6 kB  00:00:00     
http://mirror.dhakacom.com/fedora/linux/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 4.6 kB  00:00:00     
http://mirrors.sohu.com/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 3.4 kB  00:00:00     
http://mirrors.ispros.com.bd/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 4.6 kB  00:00:00     
http://ftp.kddilabs.jp/Linux/packages/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 4.6 kB  00:00:00     
http://mirrors.hust.edu.cn/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                | 4.6 kB  00:00:00     
http://ftp.jaist.ac.jp/pub/Linux/Fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
Error: failure: repodata/repomd.xml from updates: [Errno 256] No more mirrors to try.
http://ftp.kaist.ac.kr/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://ftp.riken.jp/Linux/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://ftp.neowiz.com/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://mirror.dhakacom.com/fedora/linux/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://mirrors.sohu.com/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://mirrors.ispros.com.bd/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://ftp.kddilabs.jp/Linux/packages/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://mirrors.hust.edu.cn/fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
http://ftp.jaist.ac.jp/pub/Linux/Fedora/updates/19/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Comment 4 Zdeněk Pavlas 2013-07-22 04:40:13 EDT
See comment #1..  The current repomd.xml revision for updates-19-x86_64 is 1374433880 and it's currently on most mirrors.  Please try now, and if everything works, close this bug, thanks!
Comment 5 Zdeněk Pavlas 2013-07-22 07:13:12 EDT
Mirrors match metalink already.
Comment 6 Brian Dudek 2013-12-10 15:39:23 EST
Saw the same thing today, maybe some repos got polluted then bad data was pulled down to clients?  'yum clean all' does not resolve the problem but the fix was simple.

[root@blackf19 ~]# rpm -q yum
yum-3.4.3-119.fc19.noarch

Solution:

edit:  /etc/yum.repos.d/fedora-updates.repo

1. remove comment '#' from baseurl=http://download...
2. comment out mirrorlist=https://mirrors....
3. yum update yum.noarch
4. return both comments to default

[root@blackf19 ~]# rpm -q yum
yum-3.4.3-120.fc19.noarch

Note You need to log in before you can comment on or make changes to this bug.